/* https://www.w3schools.com/howto/howto_css_image_grid_responsive.asp */

.header {
    padding-bottom: 16px;
}

.row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
}

.column img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
    border-radius: 10px;
}

.column img:hover {}

/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 800px) {
    .column {
        flex: 50%;
        max-width: 50%;
    }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .column {
        flex: 100%;
        max-width: 100%;
    }
}

/* Based On https://www.w3schools.com/howto/howto_css_image_overlay_slide.asp */
.container {
    position: relative;
    cursor: pointer;
}

.container:hover {
    scale: 1.05;
    transition: 0.5s;
    z-index: 1;
}

.overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: transparent;
    backdrop-filter: blur(10px);
    border-top: 2px solid rgba(255, 255, 255, .2);
    background-color: #3333335e;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    overflow: hidden;
    width: 100%;
    height: 0;
    transition: .5s ease;
    font-size: larger;
}

.container:hover .overlay {
    height: 5em;
}